jQuery(function($){

  jQuery(document).ready(function() {
    $('.quizz-theme-color-picker').wpColorPicker();
  });

  jQuery("#entusiastics-quiz-form").submit(function( event ) {

    event.preventDefault();

    var $inputs = $('#entusiastics-quiz-form :input');

    var values = {};
    $inputs.each(function() {
      values[this.name] = $(this).val();
    });

    if(values['title'] == '') {

      jQuery('#title_notice').css('display', 'block')

      jQuery('html, body').animate({
        scrollTop: '0px'
      }, 1000, function(){
        jQuery('input [name="title"]').focus();
        jQuery('#entusiastics-quiz-form').addClass('form-invalid');
      });

      return false;
    }

    if(values['thumbnail_summary'].split(' ').length > 20) {

      jQuery('#thubnail_summary_notice').css('display', 'block');

      jQuery('html,body').animate({
        scrollTop: '0px'
      }, 1000, function(){
        jQuery('input [name="thumbnail_summary"]').focus();
        jQuery('#entusiastics-quiz-form').addClass('form-invalid'); 
      });

      return false;
    }

    this.submit();

  });

  // Remove errors class from Form when focus on input
  jQuery('#entusiastics-quiz-form input').on('focus', function(){
    jQuery('#entusiastics-quiz-form').removeClass('form-invalid');
    jQuery(".notice notice-error").each(function(){
      jQuery(this).fadeOut(); 
    });

  });

});