<?php

$max = sizeof($_SESSION['responsed_questions']);

?>

<!-- Summary section -->
<div id="entusiastic-summary" class="entusiastic-summary">

	<div class="summary-open-button-wrapper">
		<a href="#" class="summary-open-button accordion-button">Ver progreso <span class="entusiastic-summary-toggle-icon"></span></a>
	</div>

	<div class="entusiastic-summary-wrapper">

		<div class="entusiastic-summary-block accordion-panel">

			<div class="entusiastic-summary-header">
				<span class="entusiastic-summary-toggle-icon accordion-button"></span>
			</div>

			<?php

			if(!isset($_SESSION['responsed_questions']) || $max === 0) { ?>

				<div class="entusiastic-summary-box">

					<div class="entusiastic-summary-box-left">
						<span>Indicadores de alta calidad</span>
					</div>

					<div class="entusiastic-summary-box-right">
						<span>Indicadores de baja calidad</span>
					</div>

				</div>
				

			<?php } else {

				$max = sizeof($_SESSION['responsed_questions']);

				$_choice = new Choice();
				$_profile = new Profile();


				?>

				<div class="entusiastic-summary-box">

					<div class="entusiastic-summary-box-left">
						<span>Indicadores de alta calidad</span>

						<?php for($i=0; $i<$max; $i++) { 

							$choice = $_choice->getByQuestionId($_SESSION['responsed_questions'][$i]->id);
							$profile = $_profile->getProfileById($choice[$i]->profile_id);

							
							if($profile->connotation === '1') { ?>

								<div class="alta-item">
									<div class="name">
										<?php echo $profile->name ?>
									</div>
									<div class="count">
										x<?php echo $max; ?>
									</div>
									
								</div>

							<?php }
							

						}?>

					</div>

					<div class="entusiastic-summary-box-right">
						<span>Indicadores de baja calidad</span>

						<?php for($i=0; $i<$max; $i++) { 

							$choice = $_choice->getByQuestionId($_SESSION['responsed_questions'][$i]->id);
							$profile = $_profile->getProfileById($choice[$i]->profile_id);

							if($profile->connotation === '0') { ?>

								<div class="baja-item">
									<?php echo $profile->name ?> <span>x<?php echo $max; ?></span>
								</div>

							<?php }

						}
						?>
					</div>		

				</div>
			<?php } ?>

		</div>

	</div>

</div>
